using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

using Syncfusion.Web.UI.WebControls.Chart;
using Syncfusion.Windows.Forms.Chart;

namespace F37801
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected Syncfusion.Web.UI.WebControls.Chart.ChartWebControl ChartWebControl1;
        private ChartAxis secYAxis= new ChartAxis();
		protected System.Web.UI.WebControls.CheckBox CheckBox1;
		protected System.Web.UI.WebControls.Label Label1;
		int moveSpace = 50;

		private void Page_Load(object sender, System.EventArgs e)
		{
			this.ChartWebControl1.Model.ColorModel.Palette=ChartColorPalette.Colorful;
			this.InitializeChartData();
			this.InitializeChartAppearance();
				
		}

		protected void InitializeChartData()
		{
			int numPoints = 10;
			Random random = new Random();
			for(int i = 0; i < 1; i++)
			{
				ChartSeries series = this.ChartWebControl1.Model.NewSeries("Series " + i);
				for(int j = 0; j < numPoints; j++)
				{
					series.Points.Add(j+1, (double)random.Next(5000, 20000));
				}
				
				series.Type = ChartSeriesType.Column;
				series.PrepareStyle += new ChartPrepareStyleInfoHandler(this.ChartControlSeries_PrepareStyle);
				series.Text = series.Name;

				this.ChartWebControl1.Series.Add(series);
			}
		
			for(int i = 0; i < 1; i++)
			{
				ChartSeries series = this.ChartWebControl1.Model.NewSeries("Series " + i);
				for(int j = 0; j < numPoints; j++)
				{
					series.Points.Add(j+1, (double)random.Next(30, 100));
				}
				
				series.Type = ChartSeriesType.Line;
				series.PrepareStyle += new ChartPrepareStyleInfoHandler(this.ChartControlSeries_PrepareStyle);
				series.Text = "Series 1";

				this.ChartWebControl1.Series.Add(series);
			}


		}
		
		protected void InitializeChartAppearance()
		{
			// We don''t use indexed mode with multiple axes.
			this.ChartWebControl1.Indexed = false;
			this.ChartWebControl1.Legend.Position = ChartLegendPosition.Top;

			// Use the second Y axis
			this.ChartWebControl1.ChartArea.Axes.Add(this.secYAxis);
			this.secYAxis.DrawGrid = false;
			this.secYAxis.Orientation = Orientation.Vertical;
			this.secYAxis.LineType.ForeColor = this.ChartWebControl1.ChartArea.BackColor;
			this.secYAxis.Range.Interval = this.secYAxis.Range.Delta;
			this.secYAxis.SmallTickSize = new Size(0,0);
			this.secYAxis.TickSize = new Size(0,0);
			this.secYAxis.Title = "Y Axis Title";
			//this.secYAxis.ValueType = ChartValueType.Custom;
			this.secYAxis.Range=new MinMaxInfo(10,100,10);
			this.secYAxis.LineType.ForeColor =Color.Red;
			this.ChartWebControl1.Model.Series[1].YAxis = this.secYAxis;


		}



		protected void ChartControlSeries_PrepareStyle(object sender, ChartPrepareStyleInfoEventArgs args)
		{
			// Style formatting using a callback. You can apply the same settings directly on the series style on the
			// point styles.
			ChartSeries series = sender as ChartSeries;
			if(series != null)
			{
				args.Style.Text = string.Format("Value is {0}", series.Points[args.Index].YValues[0]);
				args.Style.TextOrientation = ChartTextOrientation.Center;
				args.Style.Symbol.Size = new Size(15,15);
				args.Style.Symbol.Color = Color.Red;
				args.Style.DisplayShadow = true;

				if(series == this.ChartWebControl1.Series[0])
					args.Style.Symbol.Shape = ChartSymbolShape.Cross;
				else
					args.Style.Symbol.Shape = ChartSymbolShape.Circle;

			}
		}
		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ChartWebControl1.ChartFormatAxisLabel += new Syncfusion.Windows.Forms.Chart.ChartFormatAxisLabelEventHandler(this.ChartWebControl1_ChartFormatAxisLabel);
			this.CheckBox1.CheckedChanged += new System.EventHandler(this.CheckBox1_CheckedChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void ChartWebControl1_ChartFormatAxisLabel(object sender, Syncfusion.Windows.Forms.Chart.ChartFormatAxisLabelEventArgs e)
		{
			this.secYAxis.Location = new Point((int)this.ChartWebControl1.ChartArea.PrimaryYAxis.Location.X - moveSpace, (int)this.ChartWebControl1.ChartArea.PrimaryYAxis.Location.Y);
		}

		private void CheckBox1_CheckedChanged(object sender, System.EventArgs e)
		{
			if(CheckBox1.Checked)
			{	
			 this.ChartWebControl1.Series[0].Visible=false;
				this.ChartWebControl1.ChartArea.PrimaryXAxis.DrawGrid=false;
				this.ChartWebControl1.ChartArea.PrimaryYAxis.DrawGrid=false;
				this.secYAxis.DrawGrid=true;
			
				
			}
		
		}
	}
}
